# $Revision: 1.19 $, $Date: 2011/11/02 17:43:47 $
Summary:	The YASM Modular Assembler
Summary(pl.UTF-8):	Modularny assembler YASM
Name:		yasm
Version:	1.2.0
Release:	1
License:	distributable (BSD, GPL, LGPL, Artistic; see COPYING)
Group:		Development/Tools
Source0:	http://www.tortall.net/projects/yasm/releases/%{name}-%{version}.tar.gz
# Source0-md5:	4cfc0686cf5350dd1305c4d905eb55a6
Patch0:		%{name}-pythondir.patch
URL:		http://www.tortall.net/projects/yasm/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1:1.9.6
BuildRequires:	gettext-devel
BuildRequires:	libtool
BuildRequires:	python-Cython >= 0.11.3
BuildRequires:	xmlto
Obsoletes:	libyasm
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Yasm is a complete rewrite of the NASM assembler under the "new"
BSD License (some portions are under other licenses, see COPYING for
details). It is designed from the ground up to allow for multiple
assembler syntaxes to be supported (eg, NASM, TASM, GAS, etc.) in
addition to multiple output object formats and even multiple
instruction sets. Another primary module of the overall design is an
optimizer module.

%description -l pl.UTF-8
Yasm to całkowite przepisanie asemblera NASM na "nowej" licencji BSD
(niektóre fragmenty są na innych licencjach, szczegóły w pliku
COPYING). Jest zaprojektowany od podstaw, aby umożliwić obsługę
wielu składni asemblera (np. NASM, TASM, GAS itd.), a ponadto wiele
formatów obiektów wyjściowych, a nawet wiele zestawów instrukcji.
Kolejny główny moduł ogólnego projektu to moduł optymalizatora.

%package -n libyasm-devel
Summary:	Header files and static libyasm library
Summary(pl.UTF-8):	Pliki nagłówkowe i statyczna biblioteka libyasm
Group:		Development/Libraries
License:	BSD+Artistic or LGPL or GPL (see COPYING)
Obsoletes:	libyasm
Obsoletes:	libyasm-static

%description -n libyasm-devel
Header files and static libyasm library.

%description -n libyasm-devel -l pl.UTF-8
Pliki nagłówkowe i statyczna biblioteka libyasm.

%package -n python-yasm
Summary:	Python interface for yasm library
Summary(pl.UTF-8):	Pythonowy interfejs do biblioteki yasm
Group:		Libraries/Python
License:	BSD+Artistic or LGPL or GPL (see COPYING)

%description -n python-yasm
Python interface for yasm library.

%description -n python-yasm -l pl.UTF-8
Pythonowy interfejs do biblioteki yasm.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?debug:--enable-debug} \
	--enable-python-bindings

%{__make} -j1 all check

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS BSD.txt COPYING
%attr(755,root,root) %{_bindir}/vsyasm
%attr(755,root,root) %{_bindir}/yasm
%attr(755,root,root) %{_bindir}/ytasm
%{_mandir}/man1/yasm.1*
%{_mandir}/man7/yasm*.7*

%files -n libyasm-devel
%defattr(644,root,root,755)
%doc AUTHORS BSD.txt COPYING
%{_libdir}/libyasm.a
%{_includedir}/libyasm*.h
%{_includedir}/libyasm

%files -n python-yasm
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/yasm.so
%{py_sitedir}/yasm-0.0-py*.egg-info

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: yasm.spec,v $
Revision 1.19  2011/11/02 17:43:47  qboosh
- updated to 1.2.0
- package python bindings
- added pythondir patch to use arch-specific dir for native code

Revision 1.18  2011/01/28 01:55:54  sparky
- BR: gettext-devel

Revision 1.17  2010/10/24 11:28:19  qboosh
- updated to 1.1.0

Revision 1.16  2010/05/20 17:00:00  arekm
- up to 1.0.1

Revision 1.15  2009/05/29 20:53:06  amateja
- updated to 0.8.0

Revision 1.14  2009/01/08 19:26:00  arvenil
- up to 0.7.2

Revision 1.13  2008/05/28 17:41:22  qboosh
- updated to 0.7.1

Revision 1.12  2007-11-04 17:45:57  glen
- make jobs: 1

Revision 1.11  2007/11/04 15:34:03  qboosh
- updated to 0.6.2

Revision 1.10  2007/06/13 20:49:02  qboosh
- updated to 0.6.1

Revision 1.9  2007/04/09 13:08:52  qboosh
- updated to 0.6.0
- failing macho tests temporarily disabled

Revision 1.8  2007/02/12 22:09:25  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.6  2006/07/19 20:10:27  qboosh
- updated to 0.5.0, removed obsolete segv patch
- libyasm is only static now

Revision 1.5  2006/05/01 14:43:45  pluto
- perform tests.

Revision 1.4  2005/10/25 20:48:00  qboosh
- added segv patch, release 1

Revision 1.3  2005/10/24 19:29:59  qboosh
- libyasm split, revised BRs

Revision 1.2  2004/11/30 20:59:02  qboosh
- pl, some cleanups

Revision 1.1  2004/11/29 20:58:03  radek
- NFY
